randboot {ade4} | R Documentation

## Bootstrap simulations

### Description

Functions and classes to manage outputs of bootstrap simulations for one (class `randboot`) or several (class `krandboot`) statistics

### Usage

    as.krandboot(obs, boot, quantiles = c(0.025, 0.975), names =
    colnames(boot), call = match.call())
    ## S3 method for class 'krandboot'
    print(x, ...)
    as.randboot(obs, boot, quantiles = c(0.025, 0.975), call = match.call())
    ## S3 method for class 'randboot'
    print(x, ...)
    randboot(object, ...)

### Arguments

`obs` | a value (class `randboot`) or a vector (class `krandboot`) with observed statistics
`boot` | a vector (class `randboot`) or a matrix (class `krandboot`) with the bootstrap values of the statistics
`quantiles` | a vector indicating the lower and upper quantiles to compute
`names` | a vector of names for the statistics
`call` | the matching call
`x` | an object of class `randboot` or `krandboot`
`object` | an object on which bootstrap should be perform
`...` | other arguments to be passed to methods

### Value

an object of class `randboot` or `krandboot`

### Author(s)

Stéphane Dray (stephane.dray@univ-lyon1.fr)

### References

Carpenter, J. \& Bithell, J. (2000) Bootstrap confidence intervals: when, which, what? A practical guide for medical statisticians.Statistics in medicine, 19, 1141-1164

### See Also

`randboot.multiblock`

### Examples

    ## an example corresponding to 10 statistics and 100 repetitions
    bt <- as.krandboot(obs = rnorm(10), boot = matrix(rnorm(1000), nrow = 100))
    bt
    if(adegraphicsLoaded())
    plot(bt)

[Package ade4 version 1.7-13 Index]